#
# spec file for package pvmpov (Version 3.1g1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libpng libz pvm svgalib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps pvm rcs readline rpm sendmail sh-utils shadow strace svgalib syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         pvmpov
Copyright:    1996 POV-Team(tm)
Group:        Applications/Clustering
Requires:     pvm povray
Autoreqprov:  on
Version:      3.1g1
Release:      155
Summary:      POV-Ray with PVM-support
Source: pvmpov-3.1g1.tgz
Source1: povuni_s.tgz
Source2: povuni_d.tgz
Patch: pvmpov3_1g_1.dif
BuildRoot: 	/var/tmp/pvmpov-%{version}-root

%description
The Persistence of Vision Ray tracer creates three-dimensional,
photo-realistic images using a rendering technique called ray tracing.
This is a special version that utilizes PVM to generate pictures in
a cluster of distributed computers (Beowulf).

Authors:
--------
    Harald Deischinger <deischi@geocities.com>
    Andreas Dilger <adilger@enel.ucalgary.ca>
    Brad Kline

SuSE series: beo

%prep
export PVMROOT=/usr/lib/pvm
export PVM_ROOT=/usr/lib/pvm
%setup -n pvmpov3_1g_1 -a 1 -a 2
./inst-pvm
%patch

%build
cd povray31/source/pvm ; aimk newunix ; aimk newxwin 
%ifnarch ppc
%ifnarch sparc
aimk newsvga
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin 
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 povray31/source/pvm/LINUX*/pvmpov $RPM_BUILD_ROOT/usr/bin
install -m 755 povray31/source/pvm/LINUX*/x-pvmpov $RPM_BUILD_ROOT/usr/X11R6/bin
%ifnarch sparc ia64 ppc s390
install -m 755 povray31/source/pvm/LINUX*/s-pvmpov $RPM_BUILD_ROOT/usr/bin
%endif

%files
%doc  doc/*
/usr/X11R6/bin/x-pvmpov
/usr/bin/*

%changelog -n pvmpov
* Wed Jun 13 2001 - nashif@suse.de
- Fixed to not include s-pvmpov on s390
* Fri Feb 16 2001 - nashif@suse.de
- Fixed to not include s-pvmpov on ia64
* Sat Nov 11 2000 - nashif@suse.de
- Fix for sparc and alpha
* Wed Nov 08 2000 - nashif@suse.de
- Update to version 3.1g1
* Mon May 15 2000 - nashif@suse.de
- Changed specfile to use BuildRoot
- Changed Group tag
- s-pvmpov is only on i386 (fix build problem on sparc)
* Mon Jan 17 2000 - nashif@suse.de
- Updated to work with povray 3.1g
* Thu Jan 06 2000 - kukuk@suse.de
- fixed source/pvm/Makefile.aimk for SPARC
- disabled svgalib version for SPARC
* Mon Sep 20 1999 - uli@suse.de
- fixed source/pvm/Makefile.aimk for PPC
- disabled svgalib version for PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Apr 13 1999 - ro@suse.de
- another place for mieee on alpha
* Thu Mar 18 1999 - ro@suse.de
- alpha-fixes
* Tue Oct 06 1998 - ro@suse.de
- dont redeclare getpriority and setpriority for glibc
* Tue Aug 18 1998 - grimmer@suse.de
- new package (Version 3.02)
